package fr.iutfbleau.projetIHM2022FI2.MP.PROF.View;

import javax.swing.JLabel;
import javax.swing.JPanel;

import fr.iutfbleau.projetIHM2022FI2.API.Etudiant;
import java.awt.*;

public class PanelEtudiant extends JPanel{
			/**
		 * Constructeur du panel d'affichage d'un étudiant
		 * @param e l'étudiant à afficher
		 * @param change si l'étudiant peut être déplacé
		 */
    public PanelEtudiant(Etudiant e){
        super(new GridLayout(1,1,20, 20));
        JLabel label=new JLabel("  "+e.getNom()+" "+e.getPrenom()+" "+e.getId(), JLabel.LEFT);
        label.setFont(new Font(Font.SANS_SERIF, Font.PLAIN, 20));
        this.add(label);
    }
}
